GDAL

Public Member Functions | List of all members
IOGRConstGeometryVisitor Class Referenceabstract

OGRGeometry visitor interface. More...

`#include <ogr_geometry.h>`

Inheritance diagram for IOGRConstGeometryVisitor:

## Public Member Functions
virtual | ~IOGRConstGeometryVisitor ()=default
| Destructor/.
virtual void | visit (const OGRPoint *)=0
| Visit OGRPoint. More...
virtual void | visit (const OGRLineString *)=0
| Visit OGRLineString. More...
virtual void | visit (const OGRLinearRing *)=0
| Visit OGRLinearRing. More...
virtual void | visit (const OGRPolygon *)=0
| Visit OGRPolygon. More...
virtual void | visit (const OGRMultiPoint *)=0
| Visit OGRMultiPoint. More...
virtual void | visit (const OGRMultiLineString *)=0
| Visit OGRMultiLineString. More...
virtual void | visit (const OGRMultiPolygon *)=0
| Visit OGRMultiPolygon. More...
virtual void | visit (const OGRGeometryCollection *)=0
| Visit OGRGeometryCollection. More...
virtual void | visit (const OGRCircularString *)=0
| Visit OGRCircularString. More...
virtual void | visit (const OGRCompoundCurve *)=0
| Visit OGRCompoundCurve. More...
virtual void | visit (const OGRCurvePolygon *)=0
| Visit OGRCurvePolygon. More...
virtual void | visit (const OGRMultiCurve *)=0
| Visit OGRMultiCurve. More...
virtual void | visit (const OGRMultiSurface *)=0
| Visit OGRMultiSurface. More...
virtual void | visit (const OGRTriangle *)=0
| Visit OGRTriangle. More...
virtual void | visit (const OGRPolyhedralSurface *)=0
| Visit OGRPolyhedralSurface. More...
virtual void | visit (const OGRTriangulatedSurface *)=0
| Visit OGRTriangulatedSurface. More...

## Detailed Description

OGRGeometry visitor interface.

Since
  GDAL 2.3

## Member Function Documentation

## ◆ visit() [1/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRCircularString * |  | ) |
| pure virtual

Visit OGRCircularString.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [2/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRCompoundCurve * |  | ) |
| pure virtual

Visit OGRCompoundCurve.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [3/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRCurvePolygon * |  | ) |
| pure virtual

Visit OGRCurvePolygon.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [4/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRGeometryCollection * |  | ) |
| pure virtual

Visit OGRGeometryCollection.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [5/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRLinearRing * |  | ) |
| pure virtual

Visit OGRLinearRing.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [6/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRLineString * |  | ) |
| pure virtual

Visit OGRLineString.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [7/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRMultiCurve * |  | ) |
| pure virtual

Visit OGRMultiCurve.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [8/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRMultiLineString * |  | ) |
| pure virtual

Visit OGRMultiLineString.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [9/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRMultiPoint * |  | ) |
| pure virtual

Visit OGRMultiPoint.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [10/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRMultiPolygon * |  | ) |
| pure virtual

Visit OGRMultiPolygon.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [11/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRMultiSurface * |  | ) |
| pure virtual

Visit OGRMultiSurface.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [12/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRPoint * |  | ) |
| pure virtual

Visit OGRPoint.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [13/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRPolygon * |  | ) |
| pure virtual

Visit OGRPolygon.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [14/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRPolyhedralSurface * |  | ) |
| pure virtual

Visit OGRPolyhedralSurface.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [15/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRTriangle * |  | ) |
| pure virtual

Visit OGRTriangle.

Implemented in OGRDefaultConstGeometryVisitor.

## ◆ visit() [16/16]

virtual void IOGRConstGeometryVisitor::visit | ( | const OGRTriangulatedSurface * |  | ) |
| pure virtual

Visit OGRTriangulatedSurface.

Implemented in OGRDefaultConstGeometryVisitor.

The documentation for this class was generated from the following file:

- ogr_geometry.h